GNU bug report logs - #58425
Unable to achieve advertised "word-level" accuracy using SyncTeX with PDF Tools

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: auctex; Reported by: O G <opngid@HIDDEN>; Keywords: unreproducible; Done: Arash Esbati <arash@HIDDEN>; Maintainer for auctex is bug-auctex@HIDDEN.
bug closed, send any further explanations to 58425 <at> debbugs.gnu.org and O G <opngid@HIDDEN> Request was from Arash Esbati <arash@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) unreproducible. Request was from Arash Esbati <arash@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 58425 <at> debbugs.gnu.org:


Received: (at 58425) by debbugs.gnu.org; 20 Jun 2024 06:40:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 20 02:40:00 2024
Received: from localhost ([127.0.0.1]:45653 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sKBSh-0003ku-QE
	for submit <at> debbugs.gnu.org; Thu, 20 Jun 2024 02:40:00 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38400)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arash@HIDDEN>) id 1sKBSc-0003kH-R7
 for 58425 <at> debbugs.gnu.org; Thu, 20 Jun 2024 02:39:55 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <arash@HIDDEN>)
 id 1sKBST-00035h-PT; Thu, 20 Jun 2024 02:39:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:In-Reply-To:Subject:To:
 From; bh=nPKpCNIvf5vtZFwMVZ1gqCuDmEbEaUaJnhTD05o5ENE=; b=Ij72nxoFdV+FmluywVkI
 ceqnKYp40asdzvin1rHR01QtORGqKaI9CEg+TtoNWmGwkAql/ixDaur+LBXR6Gzrnw1Sq+xXNkfe3
 KP+AaxXyhoHRxLIybdgXmekGPnyFM2qvlMTy/Wf/qz0eGYnWB4ZIIfSRrMJFUqBI2wqyxf6QdE7QT
 oywXEJpwbLbG42jQE72iXqMFHzYqxoC1KLZ6fRTzuDucrM9Nz1YjkS0lKtllWQDE2yKDB1/SoCWFH
 nM4Wwfc6P3ikPihrA275utV87Q31Vc1th+ljQBKm76nq8uZu2ies3rluq/Q5Y+M9hRCAAmaJuMeHe
 uhrP0rqcttiusw==;
From: Arash Esbati <arash@HIDDEN>
To: O G <opngid@HIDDEN>
Subject: Re: bug#58425: Unable to achieve advertised "word-level" accuracy
 using SyncTeX with PDF Tools
In-Reply-To: <CAEc003eJF+ig968oT0F-u-C2mz1SoSwqOQSv_tMXRmgP+67U0A@HIDDEN>
 (O. G.'s message of "Wed, 19 Jun 2024 23:05:04 -0400")
References: <CAEc003dPTVVXyBWX1-v=+SiSUCDd=fGX1qSwgizv6M6zmkhDpg@HIDDEN>
 <m2zfro67xh.fsf@HIDDEN>
 <CAEc003eJF+ig968oT0F-u-C2mz1SoSwqOQSv_tMXRmgP+67U0A@HIDDEN>
Date: Thu, 20 Jun 2024 08:39:43 +0200
Message-ID: <m2cyoc9ky8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58425
Cc: 58425 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

O G <opngid@HIDDEN> writes:

> Thanks for getting back on this issue.  

Thanks for your quick response.

> I uninstalled my PDFTools configuration more than a year ago because
> of this bug and then switched over to SumatraPDF for my future
> forward/reverse synctex needs.

I agree, SumatraPDF is a great tool.

> Have been very pleased with how well it works with emacs so I'm likely
> going to stay with it until I can find a compelling reason that makes
> me want to switch back.

Maybe you can catch up on this if you switch back.  Until then, I'm
closing this report.  Again, sorry it took us long.

Best, Arash




Information forwarded to bug-auctex@HIDDEN:
bug#58425; Package auctex. Full text available.

Message received at 58425 <at> debbugs.gnu.org:


Received: (at 58425) by debbugs.gnu.org; 13 Jun 2024 17:59:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 13 13:59:07 2024
Received: from localhost ([127.0.0.1]:38200 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sHoj4-0003CR-MI
	for submit <at> debbugs.gnu.org; Thu, 13 Jun 2024 13:59:06 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37656)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arash@HIDDEN>) id 1sHoj3-0003By-BV
 for 58425 <at> debbugs.gnu.org; Thu, 13 Jun 2024 13:59:06 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <arash@HIDDEN>)
 id 1sHoiy-0003a9-7l; Thu, 13 Jun 2024 13:59:00 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:In-Reply-To:Subject:To:
 From; bh=Fi5rsYhSQxkZ6LlryTD2uF8tJabdZktN+pHhubToY4w=; b=YiriMA3NAVlA9xXkpulZ
 RsCZvXFsjk5c8mwrZhVjNBkAW7TeheFPHtf6a8Xy0eFfBD7tHnp5/6aArp2kwbkMB/+Vp4L6oN+5M
 pVwkMVqd5+qlastjR6Og3LwrHVnUkSACSzcH+Jt6S3mIYI2gSVDPQBh1x13uwDu4/tyLqNysudI+i
 YGFmXJSQc6YfzkXZoOt+l2StIKDfhqlcGBka+J5YEe5TDjSwoEhj6Am3Fmh/cSp1ZnxbWiBhTH9Xf
 2mxPUW/LYIyV9QUUMA+RTVs2ZbFex/4bdCNKVnXywTCGaTd7xNKPzX7o1hGnS27gbKoSM6ESvAa/6
 CRCcBSmQaU0RuA==;
From: Arash Esbati <arash@HIDDEN>
To: O G <opngid@HIDDEN>
Subject: Re: bug#58425: Unable to achieve advertised "word-level" accuracy
 using SyncTeX with PDF Tools
In-Reply-To: <CAEc003dPTVVXyBWX1-v=+SiSUCDd=fGX1qSwgizv6M6zmkhDpg@HIDDEN>
 (O. G.'s message of "Mon, 10 Oct 2022 19:18:43 -0400")
References: <CAEc003dPTVVXyBWX1-v=+SiSUCDd=fGX1qSwgizv6M6zmkhDpg@HIDDEN>
Date: Thu, 13 Jun 2024 19:58:50 +0200
Message-ID: <m2zfro67xh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58425
Cc: 58425 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

O G <opngid@HIDDEN> writes:

> From the AucTeX Changelog (v. 11.89):
>
> "To open the PDF output file you can now also use PDF Tools, a
> document viewer for Emacs. With it, as a plus, forward and backward
> search is accurate at word level."
>
> I'm only able to achieve word-level accuracy on reverse sync
> search. On forward sync search, the arrow that appears in the
> left-hand margin of the PDF preview buffer can be off by as much as a
> half-dozen lines.
>
> Is there a way to configure AucTeX+PDFTools in order to highlight the
> word in the PDF Tools preview buffer corresponding to where the cursor
> is positioned in the AucTeX latex source buffer during a forward
> search instead of placing an arrow in the left-hand margin, which by
> construction can only be line-level accurate at best?
>
> Emacs 28.2 (MSYS2) w/ latest pdf-tools.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I'm not sure but IIRC, the wording above was provided by PDFTools itself
back then.  Can you reproduce this with the latest version of
Emacs/PDFTools/AUCTeX?

Best, Arash




Information forwarded to bug-auctex@HIDDEN:
bug#58425; Package auctex. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Oct 2022 05:00:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 11 01:00:34 2022
Received: from localhost ([127.0.0.1]:50544 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oi7Na-0003yd-01
	for submit <at> debbugs.gnu.org; Tue, 11 Oct 2022 01:00:34 -0400
Received: from lists.gnu.org ([209.51.188.17]:39604)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <opngid@HIDDEN>) id 1oi235-0003Z0-Iy
 for submit <at> debbugs.gnu.org; Mon, 10 Oct 2022 19:19:03 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42542)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <opngid@HIDDEN>) id 1oi234-0000mw-Dd
 for bug-auctex@HIDDEN; Mon, 10 Oct 2022 19:19:02 -0400
Received: from mail-oo1-xc2e.google.com ([2607:f8b0:4864:20::c2e]:43847)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <opngid@HIDDEN>) id 1oi22z-0004Gp-SG
 for bug-auctex@HIDDEN; Mon, 10 Oct 2022 19:19:00 -0400
Received: by mail-oo1-xc2e.google.com with SMTP id
 m11-20020a4aab8b000000b00476743c0743so8949419oon.10
 for <bug-auctex@HIDDEN>; Mon, 10 Oct 2022 16:18:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=to:subject:message-id:date:from:mime-version:from:to:cc:subject
 :date:message-id:reply-to;
 bh=7ZaJtxNd3ewossDSr1cjNHNJ0I6wNegArKYxJjKoXZE=;
 b=kuTwImjnDogo7J9olqhQ/JOsB0vRoQbugVy5afCLSMd7TJw6mbntmsmiNlzw03isRy
 E0dTmnKldziq2K1kImRUtI8Lea2biJSlrT+qdNj8TnpemAdBvC5NoK8iIZGXkZaf33Cb
 KPtlTMd2Djnma0IS8f1XOrz5a0qtyXDzRvmcx/GyNT9V/nqsOsYSt2pbMMn7BhXF3hmT
 WocgThc+sBKMWtC9LsEqjg0GCLLISovZ5k3vhRnpNCg30Vqs3Bvp1+wlwAYLVujHjEdO
 XOZ8CO9OXA5z7kZxMFJn/vi3Ws2Ym7awOq9N/IG5xF8HwKCRjwRdG9qEBbBT8+J6n1YJ
 JwCg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=to:subject:message-id:date:from:mime-version:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=7ZaJtxNd3ewossDSr1cjNHNJ0I6wNegArKYxJjKoXZE=;
 b=Y6HWwZrkkv4gYuSoio/pTNVdXZD6ytiUJwUY/X9ZsK1UU9pH0p0hGG8gm6fp354cdm
 gU4Jrv0agwtYoTTRjP58Oi6OAVkjRgzF/1AZCrLypA3w1j1ium/ncqNZUEjZtUonNUZl
 Ywlkw7aNKlU3YMPmJ+i3oSWy4htylQNMu30hF6YW8uDDYu8hTjrvU0PhkgjH/Iza8t2/
 1juNYdDWQrvNwIo1rGX2D6FicRiXaHp3gFEbuJy0bozjEPLL1x4as0BJfBiX7D63jXQx
 PHRXk25UvH+dpH1zJ36kV6ReqOhJgmNn7k1BzJEwGbmP6orr4Hk93/PgF0YmaM21TRSU
 7Y9A==
X-Gm-Message-State: ACrzQf1zzkQCs+jKb3gVULygzzMHhUhH5PxgW3zRbj+GmWmVev5QSUXO
 l6seaeaJYcjgViNS78JPNDt6PFti0ovkvDNkBB36Li/98yQ=
X-Google-Smtp-Source: AMsMyM4JmZ4vl6KFaDY+z2K34ezYK/MG1JXIvZYky+e5DQ3kZItIreEZNaoeI6lP78/+TQtB/ZPV021xFFv85RGLKDY=
X-Received: by 2002:a4a:9586:0:b0:448:5e55:a122 with SMTP id
 o6-20020a4a9586000000b004485e55a122mr7986309ooi.61.1665443933851; Mon, 10 Oct
 2022 16:18:53 -0700 (PDT)
MIME-Version: 1.0
From: O G <opngid@HIDDEN>
Date: Mon, 10 Oct 2022 19:18:43 -0400
Message-ID: <CAEc003dPTVVXyBWX1-v=+SiSUCDd=fGX1qSwgizv6M6zmkhDpg@HIDDEN>
Subject: Unable to achieve advertised "word-level" accuracy using SyncTeX with
 PDF Tools
To: bug-auctex@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000123a7705eab66255"
Received-SPF: pass client-ip=2607:f8b0:4864:20::c2e;
 envelope-from=opngid@HIDDEN; helo=mail-oo1-xc2e.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 11 Oct 2022 01:00:33 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--000000000000123a7705eab66255
Content-Type: text/plain; charset="UTF-8"

From the AucTeX Changelog (v. 11.89):

"To open the PDF output file you can now also use PDF Tools, a document
viewer for Emacs. With it, as a plus, forward and backward search is
accurate at word level."

I'm only able to achieve word-level accuracy on reverse sync search. On
forward sync search, the arrow that appears in the left-hand margin of the
PDF preview buffer can be off by as much as a half-dozen lines.

Is there a way to configure AucTeX+PDFTools in order to highlight the word
in the PDF Tools preview buffer corresponding to where the cursor is
positioned in the AucTeX latex source buffer during a forward search
instead of placing an arrow in the left-hand margin, which by construction
can only be line-level accurate at best?

Emacs 28.2 (MSYS2) w/ latest pdf-tools.

--000000000000123a7705eab66255
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><br>From the AucTeX Changelog (v. 11.89):=
<br><br>&quot;To open the PDF output file you can now also use PDF Tools, a=
 document viewer for Emacs. With it, as a plus, forward and backward search=
 is accurate at word level.&quot;<br><br>I&#39;m only able to achieve word-=
level accuracy on reverse sync search. On forward sync search, the arrow th=
at appears in the left-hand margin of the PDF preview buffer can be off by =
as much as a half-dozen lines.<br><div><br></div><div>Is there a way to con=
figure AucTeX+PDFTools in order to highlight the word in the PDF Tools prev=
iew buffer corresponding to where the cursor is positioned in the AucTeX la=
tex source buffer during a forward search instead of placing an arrow in th=
e left-hand margin, which by construction can only be line-level accurate a=
t best?</div><div><br></div><div>Emacs 28.2 (MSYS2) w/ latest pdf-tools.<di=
v><br></div></div></div></div>

--000000000000123a7705eab66255--




Acknowledgement sent to O G <opngid@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-auctex@HIDDEN. Full text available.
Report forwarded to bug-auctex@HIDDEN:
bug#58425; Package auctex. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 20 Jun 2024 07:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.